curl --request PUT \
--url https://api.arize.com/v2/api-keys/{api_key_id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/api-keys/{api_key_id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/api-keys/{api_key_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Revoke an API key
Revoke an API key by its ID. The key will immediately stop working for authentication. Revoking an
already-revoked key is a no-op and still returns 204.
Authorization:
-
User keys: The key’s creator or an account admin may revoke the key.
-
Service keys: Account admins and space admins in all of the key’s bound spaces may revoke the key regardless of who created it. All other callers must have the
SERVICE_KEY_REVOKEpermission in every bound space and must be the key’s creator. Callers without read access to the key receive404to prevent key-ID enumeration.This endpoint is in beta, read more here.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique API key identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
API key successfully revoked
Was this page helpful?